Subject: Re: [PATCH v2 19/22] commit.h: reduce unnecessary includes

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Mon, 01 May 2023 18:52:52 +0200

On Sat, Apr 22 2023, Elijah Newren via GitGitGadget wrote:

> From: Elijah Newren <[email-masked]>

Re earlier comments: If I rebase to make this the first commit
everything compiles, i.e. nothing here relied on the earlier split-offs
of cache.h into other headers.

You need to make a choice of whether to first split out cache.h, and
then do commits like these, or the other way around.

I'm not sure whether it's better to do it the other way around. If you
do that it's clear e.g. add-interactive.c's implicit dependency on
tree.h via commit.h has nothing to do with what would be the subsequent
split-up of cache.h.

Or maybe this is fine. I'm just trying to get some picture of what
depends on what in this series...